# Uses of Class
org.lwjgl.opengles.EGLSyncNV

Packages that use EGLSyncNV
Package
Description
org.lwjgl.opengles

## Uses of EGLSyncNV in org.lwjgl.opengles

Methods in org.lwjgl.opengles that return EGLSyncNV
Modifier and Type
Method
Description
`static EGLSyncNV`
EGLNVSync.`eglCreateFenceSyncNV(EGLDisplay dpy, int condition, IntBuffer attrib_list)`
Creates a fence sync object for the specified EGL display and returns a handle to the new object.
Methods in org.lwjgl.opengles with parameters of type EGLSyncNV
Modifier and Type
Method
Description
`static int`
EGLNVSync.`eglClientWaitSyncNV(EGLSyncNV sync, int flags, long timeout)`
Blocks the calling thread until the specified sync object is signaled, or until a specified timeout value expires.
`static void`
EGLNVSync.`eglDestroySyncNV(EGLSyncNV sync)`
Destroys an existing sync object.
`static void`
EGLNVSync.`eglFenceNV(EGLSyncNV sync)`
Inserts a fence command into the command stream of the bound API's current context and associates it with sync object.
`static int`
EGLNVSync.`eglGetSyncAttribNV(EGLSyncNV sync, int attribute)`
Returns the value of the sync object attribute.
`static void`
EGLNVSync.`eglSignalSyncNV(EGLSyncNV sync, int mode)`
Signals or unsignals the sync object by changing its status to the specified mode.